### Method

# Gio Mount guess_content_type

since: 2.18

#### Declaration

    void
    g_mount_guess_content_type (
      GMount* mount,
      gboolean force_rescan,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Tries to guess the type of content stored on `mount`. Returns one or more textual identifiers of well-known content types (typically prefixed with “x-content/”), e.g. x-content/image-dcf for camera memory cards. See the shared-mime-info specification for more on x-content types.

This is an asynchronous operation (see `g_mount_guess_content_type_sync()` for the synchronous version), and is finished by calling `g_mount_guess_content_type_finish()` with the `mount` and `GAsyncResult` data returned in the `callback`.

Available since: 2.18

This method completes asynchronously. Use `g_mount_guess_content_type_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`force_rescan`

  Type: `gboolean`

  Whether to force a rescan of the content. Otherwise a cached result will be used if available.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.